Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSpherePuzzleArrows Class Reference

`#include <vtkSpherePuzzleArrows.h>`

Inheritance diagram for vtkSpherePuzzleArrows:

[legend]
Collaboration diagram for vtkSpherePuzzleArrows:

[legend]
List of all members.

## Detailed Description

Visualize permutation of the sphere puzzle.

Date:
  2002/11/03 22:51:56

Revision:
  1.6

vtkSpherePuzzleArrows creates

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (86%)
  - Cedilnik, Andy (13%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkSpherePuzzleArrows.h)`
  - .`cxx` (`/Graphics/vtkSpherePuzzleArrows.cxx)`

Examples:
  vtkSpherePuzzleArrows (Examples)

Tests:
  vtkSpherePuzzleArrows (Tests)

Definition at line 51 of file vtkSpherePuzzleArrows.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPermutation (int data[])
virtual int * | GetPermutation ()
virtual void | GetPermutation (int data[32])
void | SetPermutationComponent (int comp, int val)
void | SetPermutation (vtkSpherePuzzle *puz)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkSpherePuzzleArrows * | SafeDownCast (vtkObject *o)
vtkSpherePuzzleArrows * | New ()
## Protected Methods
| vtkSpherePuzzleArrows ()
| ~vtkSpherePuzzleArrows ()
void | Execute ()
void | AppendArrow (int id0, int id1, vtkPoints *pts, vtkCellArray *polys)
## Protected Attributes
int | Permutation [32]
float | Radius

## Member Typedef Documentation

typedef vtkPolyDataSource vtkSpherePuzzleArrows::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 54 of file vtkSpherePuzzleArrows.h.

## Constructor & Destructor Documentation

vtkSpherePuzzleArrows::vtkSpherePuzzleArrows | ( |  | ) | `[protected]`

vtkSpherePuzzleArrows::~vtkSpherePuzzleArrows | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkSpherePuzzleArrows::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkSpherePuzzleArrows::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkSpherePuzzleArrows::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkSpherePuzzleArrows* vtkSpherePuzzleArrows::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkSpherePuzzleArrows::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkSpherePuzzleArrows* vtkSpherePuzzleArrows::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual void vtkSpherePuzzleArrows::SetPermutation | ( | int | data[] | ) | `[virtual]`

virtual int* vtkSpherePuzzleArrows::GetPermutation | ( |  | ) | `[virtual]`

virtual void vtkSpherePuzzleArrows::GetPermutation | ( | int | data[32] | ) | `[virtual]`

void vtkSpherePuzzleArrows::SetPermutationComponent | ( | int | comp,
|  | int | val
| ) |

void vtkSpherePuzzleArrows::SetPermutation | ( | vtkSpherePuzzle * | puz | ) |

void vtkSpherePuzzleArrows::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkSpherePuzzleArrows::AppendArrow | ( | int | id0,
|  | int | id1,
|  | vtkPoints * | pts,
|  | vtkCellArray * | polys
| ) | `[protected]`

## Member Data Documentation

int vtkSpherePuzzleArrows::Permutation[32]`[protected]`

| Definition at line 73 of file vtkSpherePuzzleArrows.h.

float vtkSpherePuzzleArrows::Radius`[protected]`

| Definition at line 75 of file vtkSpherePuzzleArrows.h.

The documentation for this class was generated from the following file:

- Graphics/vtkSpherePuzzleArrows.h